ISXDIGIT(3)

NAME
isxdigit - hexadecimal-digit character test

SYNOPSIS
#include <ctype.h>
int
isxdigit(int c);

DESCRIPTION
The isxdigit() function tests for any hexadecimal-digit character. In the ASCII character set, this includes the following characters:

060 ``0'' | 061 ``1'' | 062 ``2'' | 063 ``3'' | 064 ``4''
065 ``5'' | 066 ``6'' | 067 ``7'' | 070 ``8'' | 071 ``9''
101 ``A'' | 102 ``B'' | 103 ``C'' | 104 ``D'' | 105 ``E''
106 ``F'' | 141 ``a'' | 142 ``b'' | 143 ``c'' | 144 ``d''
145 ``e'' | 146 ``f''

RETURN VALUES
The isxdigit() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), ascii(7)

STANDARDS
The isxdigit() function conforms to ansiC.